> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get summary stats on Pools, Operators and Addresses

> This endpoint returns summary statistics for all the operators Rated has pre-materialized views on––commensurate to the output you might see on the Rated Explorer. Filter by entityType to view the stats for a specific type of entity i.e. by pools, operators and withdrawal/deposit addresses.



## OpenAPI

````yaml get /v1/eth/entities/summaries
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/eth/entities/summaries:
    get:
      tags:
        - Overview
      summary: Get summary stats on Pools, Operators and Addresses
      description: >-
        This endpoint returns summary statistics for all the operators Rated has
        pre-materialized views on––commensurate to the output you might see on
        the Rated Explorer. Filter by entityType to view the stats for a
        specific type of entity i.e. by pools, operators and withdrawal/deposit
        addresses.
      operationId: get_entities_summaries_v1_eth_entities_summaries_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: entityType
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/IdType'
              - type: 'null'
            description: The type of entity class you would like returned
            title: Entitytype
          description: The type of entity class you would like returned
        - name: window
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/TimeWindow'
              - type: 'null'
            title: Window
        - name: sortBy
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The filter you want results to be sorted by
            title: Sortby
          description: The filter you want results to be sorted by
        - name: sortOrder
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SortOrderEnum'
              - type: 'null'
            description: The sort order for the results
            default: asc
            title: Sortorder
          description: The sort order for the results
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__55
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    IdType:
      type: string
      enum:
        - depositAddress
        - withdrawalAddress
        - nodeOperator
        - pool
        - poolShare
        - entity
        - validator
        - privateSet
      title: IdType
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    SortOrderEnum:
      type: string
      enum:
        - asc
        - desc
      title: SortOrderEnum
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__55:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            $defs:
              IdType:
                type: string
                enum:
                  - depositAddress
                  - withdrawalAddress
                  - nodeOperator
                  - pool
                  - poolShare
                  - entity
                  - validator
                  - privateSet
                title: IdType
            properties:
              id:
                type: string
                title: Id
              type:
                anyOf:
                  - $ref: '#/components/schemas/IdType'
                  - type: 'null'
              window:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Window
              name:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Name
              validatorCount:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Validatorcount
              avgValidatorEffectiveness:
                anyOf:
                  - type: number
                  - type: 'null'
                title: Avgvalidatoreffectiveness
              networkPenetration:
                anyOf:
                  - type: number
                    minimum: 0
                  - type: 'null'
                title: Networkpenetration
              clientPercentages:
                anyOf:
                  - items:
                      type: object
                    type: array
                  - type: 'null'
                title: Clientpercentages
              relayerPercentages:
                anyOf:
                  - items:
                      type: object
                    type: array
                  - type: 'null'
                title: Relayerpercentages
              sumEpochEndBalance:
                anyOf:
                  - type: number
                  - type: 'null'
                title: Sumepochendbalance
              sumEpochEndEffectiveBalance:
                anyOf:
                  - type: number
                  - type: 'null'
                title: Sumepochendeffectivebalance
            type: object
            required:
              - id
              - type
              - window
              - name
              - validatorCount
              - avgValidatorEffectiveness
              - networkPenetration
              - clientPercentages
              - relayerPercentages
              - sumEpochEndBalance
              - sumEpochEndEffectiveBalance
            title: EntitySummary
            examples:
              - avgValidatorEffectiveness: 0.07855633469653803
                clientPercentages:
                  - client: Prysm
                    percentage: 0.5
                  - client: Lighthouse
                    percentage: 0.3
                id: '0xa40dfee99e1c85dc97fdc594b16a460717838703'
                name: '0xa40dfee99e1c85dc97fdc594b16a460717838703'
                networkPenetration: 0.07855633469653803
                relayerPercentages:
                  - percentage: 0.5
                    relayer: no_mev_boost
                  - percentage: 0.3
                    relayer: bloxroute_regulated
                sumEndEpochBalance: 320000000000000000000
                sumEndEpochEffectiveBalance: 320000000000000000000
                type: depositAddress
                validatorCount: 37361
                window: 1d
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1EntitySummary
      examples:
        - next: >-
            https://api.rated.network//v1/eth/entities/summaries?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/eth/entities/summaries?limit=10&offset=10
          results:
            - - avgValidatorEffectiveness: 0.07855633469653803
                clientPercentages:
                  - client: Prysm
                    percentage: 0.5
                  - client: Lighthouse
                    percentage: 0.3
                id: '0xa40dfee99e1c85dc97fdc594b16a460717838703'
                name: '0xa40dfee99e1c85dc97fdc594b16a460717838703'
                networkPenetration: 0.07855633469653803
                relayerPercentages:
                  - percentage: 0.5
                    relayer: no_mev_boost
                  - percentage: 0.3
                    relayer: bloxroute_regulated
                sumEndEpochBalance: 320000000000000000000
                sumEndEpochEffectiveBalance: 320000000000000000000
                type: depositAddress
                validatorCount: 37361
                window: 1d
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````